#
# spec file for package svgcleaner
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           svgcleaner
Version:        0.6.2
Release:        7.4
Summary:        SVG files cleaner
License:        GPL-2.0+
Group:          Productivity/Graphics/Vector Editors
Url:            http://qt-apps.org/content/show.php/SVG+Cleaner?content=147974
Source0:        https://github.com/RazrFalcon/SVGCleaner/archive/v%{version}/SVGCleaner-%{version}.tar.gz
BuildRequires:  libqt4-devel >= 4.6
BuildRequires:  update-desktop-files
# for directory owner fix
BuildRequires:  hicolor-icon-theme
Requires:       %{name}-cli = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Generally, SVG files produced by vector editors contain a lot of unused elements
and attributes that just blow up their size, but not add quality. SVG Cleaner
could help you to clean up your SVG files from unnecessary data. It works in batch
mode and basically does two things:
 - removing elements and attributes that don't contribute to the final rendering;
 - making those elements and attributes that are actually used more compact.
The app has a lot of options for cleanup and optimization and provides
multithreaded file processing on the multicore processors.

%package        cli
Summary:        CLI for SVG files cleaner
Group:          Productivity/Graphics/Vector Editors
Requires:       p7zip

%description    cli
Generally, SVG files produced by vector editors contain a lot of unused elements
and attributes that just blow up their size, but not add quality. SVG Cleaner
could help you to clean up your SVG files from unnecessary data. It works in batch
mode and basically does two things:
 - removing elements and attributes that don't contribute to the final rendering;
 - making those elements and attributes that are actually used more compact.
The app has a lot of options for cleanup and optimization and provides
multithreaded file processing on the multicore processors.

This package provides a command-line interface to SVG files cleaner.

%prep
%setup -q -n SVGCleaner-%{version}
sed -i '/Version=*/d' %{name}.desktop

%build
qmake -o Makefile %{name}.pro PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}
%suse_update_desktop_file -r %{name} Graphics 2DGraphics VectorGraphics
install -d %{buildroot}%{_bindir}
install -Dm 755 bin/%{name}-cli %{buildroot}%{_bindir}
install -Dm 755 bin/%{name}-gui %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}/translations/
install -Dm 644 bin/%{name}*.qm %{buildroot}%{_datadir}/%{name}/translations/

%files
%defattr(-,root,root)
%doc README LICENSE.txt
%{_bindir}/%{name}-gui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/

%files cli
%defattr(-,root,root)
%{_bindir}/%{name}-cli

%changelog
* Mon Mar 10 2014 dmitry_r@opensuse.org
- Split package into svgcleaner and svgcleaner-cli
* Sun Mar  9 2014 dmitry_r@opensuse.org
- Update to version 0.6.2
  * ~3 times faster and ~10%% better cleaning.
  * Added replacing of equal elements with 'use'.
  * Added removing of elements out of viewbox.
  * Added transformation matrices applying.
  * Added trimming of 'id' attribute.
  * Added removing of equal 'filter' and 'clipPath' in 'defs'.
  * Added removing of Sketch namespaced elements and attributes.
  * Improved paths processing.
  * Improved removing of equal gradients.
  * Improved grouping of elements with similar attributes.
  * Improved transform matrices processing.
  * Improved ungrouping of containers.
  * Improved merging of gradients.
  * Improved rounding of numbers.
  * Improved removing of invisible elements.
  * New keys for CLI.
  * CLI now depends only on QtCore.
  * Moved from QtXml to TinyXML2.
  * Added saving of last cleaning options to GUI.
  * Added file tree to GUI.
  * Removed preset files.
  * A lot of fixes and speed optimizations.
* Fri Jan 11 2013 dmitry_r@opensuse.org
- Initial package, version 0.5
